# mozilla.cfg | Firefox

The files contained here are used to configure Firefox in the safest and fastest way possible.
To realize this project I was inspirated by various authors of `user.js` and I've implemented some preferences of mine.



## Aims:

* online security
* more privacy
* better performance
* less unique fingerprint possible



## Best Use:

These files has been designed exclusively for Desktop, more specifically for:

* [Firefox](http://www.mozilla.org/en-US/firefox/new/)
* [Waterfox](http://waterfoxproject.org/)
* [Pale Moon](http://www.palemoon.org/)
* [SeaMonkey](http://www.seamonkey-project.org/)



## Settings Protection:

Important settings are enforced/locked within `mozilla.cfg` and `policies.json`, those settings cannot be changed by addons/updates/Firefox or unwanted/accidental manipulation; To change those settings you can easily do it by editing `mozilla.cfg` and `policies.json`.



## Installation:

### Windows

- Download and install the last version of Firefox `x32` release or `x64` release
- Clone or download zip file and extract it
- Locate Firefox's installation directory (where the firefox.exe is located) `C:\Program Files\Mozilla Firefox\` or `C:\Program Files (x86)\Mozilla Firefox\`
- Copy the files contained in `config` folder to the install directory
- Start Firefox and test if config was applied browsing to `about:config` and look if `_config.applied` is `true`.

### Linux

- Download and extract the last version of Firefox `x32` release or `x64` release
- Clone or download zip file and extract it
- Locate Firefox's installation directory 
- Copy the files contained in `config` folder to the install directory
- You can use directly Firefox by running `firefox/firefox`
- You can as well create a shortcut to `firefox/firefox` to open Firefox easily
- Start Firefox and test if config was applied browsing to `about:config` and look if `_config.applied` is `true`.

### Mac

- Download and install the last version of Firefox
- Clone or download zip file and extract it
- Locate Firefox's installation directory `Applications/Firefox.app/Contents/Resources/`
- Copy the files contained in `config` folder to the install directory
- Start Firefox and test if config was applied browsing to `about:config` and look if `_config.applied` is `true`.


### Uninstall:

- To uninstall, just remove the files you added to your Firefox's install directory (to know what are the files to remove just check the downloaded zip file) then restart Firefox.



## Contacts:

You can enjoy my [Telegram group](https://t.me/fennec_fdroid) for support or talk about privacy and security topics.



## Thanks:

I really thanks all the authors who inspired me:

* [gHacks](https://github.com/ghacksuserjs/ghacks-user.js)
* [Librefox Browser](https://github.com/intika/Librefox)
* [pyllyukko](https://github.com/pyllyukko/user.js)
* [OrangeManBad](https://git.nixnet.xyz/OrangeManBad/user.js) - (pyllyukko fork)
* [CHEF-KOCH](https://github.com/CHEF-KOCH/FFCK/tree/master/user.js)


## Special Thanks:

to all the members of my Telegram group who support me and give me motivation.
